Skip to main content
GET
/
subscriptions
/
{id}
/
grants
/
upcoming
Get upcoming credit grant applications
curl --request GET \
  --url https://us.api.flexprice.io/v1/subscriptions/{id}/grants/upcoming \
  --header 'x-api-key: <api-key>'
import requests

url = "https://us.api.flexprice.io/v1/subscriptions/{id}/grants/upcoming"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://us.api.flexprice.io/v1/subscriptions/{id}/grants/upcoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "applied_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "credit_grant_id": "<string>",
      "credits": 123,
      "environment_id": "<string>",
      "failure_reason": "<string>",
      "id": "<string>",
      "idempotency_key": "<string>",
      "metadata": {},
      "period_end": "2023-11-07T05:31:56Z",
      "period_start": "2023-11-07T05:31:56Z",
      "retry_count": 123,
      "scheduled_for": "<string>",
      "subscription_id": "<string>",
      "tenant_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Subscription ID

Response

OK

items
object[]
pagination
object